templates:
- github
- cmake-catkin
- base

catalog:
  title: Tobi ros4rsb

variables:
  description: Bridge between ROS and RSB middlewares for obi data types

  github.user: CentralLabFacilities
  github.project: tobi_ros4rsb

  branches:
  - indigo
  - kinetic

  platform-requires:
    trusty:
      packages:
      - ros-indigo-moveit-ros
    xenial:
      packages:
      - ros-kinetic-moveit-ros

versions:
- name: indigo
  variables:
    ros: indigo

- name: kinetic
  variables:
    ros: kinetic

- name: pepper
  variables:
    ros: kinetic
    branch: pepper

- name: hash-robocup-2016-champion
  variables:
    commit: b6db7affed3a90a11a6f1a9c28736b59b21d4161
    ros: indigo
